Page MenuHomePhabricator

Implement setup and tear down API Reading Lists
Closed, ResolvedPublic

Description

This API exists to perform 3 important functions:

  1. Allow users to opt in or out of syncing. Also protecting privacy by deleting any user data when opting out
  2. Create a default list for users when they opt in
  3. Saving space when users opt out so we can clean up unused lists

Prior to opting in (setup), users will not be able to use any other Reading List APIs. All APIs should return errors instructing them to opt in until they have done so.

Users must opt in explicitly before they can use the API, to spare storage space (of default lists) and bandwidth (of push notifications). Users can opt out again if they want to delete their data.

See parent task for syntax

Event Timeline

Fjalapeno updated the task description. (Show Details)Jun 27 2017, 5:17 PM

Change 366980 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/ReadingLists@master] [WIP] API

https://gerrit.wikimedia.org/r/366980

Tgr claimed this task.Aug 21 2017, 11:53 PM

Change 366980 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Add API modules

https://gerrit.wikimedia.org/r/366980

Tgr closed this task as Resolved.Sep 1 2017, 5:07 AM